﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using ProgramowanieObiektowe2;

namespace TestyJednostkoweUłamka
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestObliczaniaNWD()
        {
            uint a = 12, b = 16;
            uint nwd = Ułamek.ObliczNWD(a, b);

            Assert.AreEqual(4U, nwd);
        }

        [TestMethod]
        public void TestObliczaniaNWD2()
        {
            uint a = 16, b = 12;
            uint nwd = Ułamek.ObliczNWD(a, b);

            Assert.AreEqual(4U, nwd);
        }

        [TestMethod]
        public void TestObliczaniaNWD3()
        {
            uint a = 1, b = 3;
            for(uint i = 2; i < 100; i++)
            {
                uint nwd = Ułamek.ObliczNWD(i*a, i*b);
                Assert.AreEqual(i, nwd);
            }
        }
    }
}
